<?php
require_once('includes/load.php');
page_require_level(3); // Pastikan hanya pengguna dengan tingkat akses 3 (Administrator) yang dapat mengakses halaman ini.

// Ambil data dari tabel 'productivity'
$productivity_data = find_all('productivity');

// Tentukan nama file CSV yang akan diunduh
$filename = 'productivity_export_' . date('Y-m-d') . '.csv';

// Header untuk mengatur tipe konten sebagai file CSV yang akan diunduh
header('Content-Type: text/csv');
header('Content-Disposition: attachment; filename="' . $filename . '"');

// Membuka file php://output, sehingga data akan langsung diunduh ke file CSV
$output = fopen('php://output', 'w');

// Menulis baris header
fputcsv($output, array('Date', 'Work Time', 'Name', 'Color', 'Quantity', 'Work Center'));

// Menulis data dari tabel ke file CSV
foreach ($productivity_data as $row) {
    $data = array($row['date'], $row['work_time'], $row['name'], $row['color'], $row['quantity'], $row['work_center']);
    fputcsv($output, $data);
}

// Tutup file
fclose($output);
?>
